Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class SystemFunctions

    java.lang.Object
      org.modeshape.jcr.SystemFunctions

    public class SystemFunctions

extends Object

A set of `SystemFunctions.VersionHistoryFunction` implementations that can be used with the `Graph API`.

Nested Class Summary
`static class` | `SystemFunctions.CreateVersionNodeFunction` The `Function` implementation that efficiently updates the JCR version history and storage with a new version of a node being checked in.
`static class` | `SystemFunctions.InitializeVersionHistoryFunction` The `Function` implementation that efficiently ensures that the JCR version history and storage for a node exist.
`static class` | `SystemFunctions.VersionHistoryFunction` An abstract `Function` subclass that contains some helper methods related to version storage and version history.

Field Summary
`static Function` | `CREATE_VERSION_NODE` An shared instance of the immutable `SystemFunctions.CreateVersionNodeFunction`.
`static Function` | `INITIALIZE_VERSION_HISTORY` An shared instance of the immutable `SystemFunctions.InitializeVersionHistoryFunction`.

Constructor Summary
`SystemFunctions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIALIZE_VERSION_HISTORY

    public static final Function INITIALIZE_VERSION_HISTORY

  An shared instance of the immutable `SystemFunctions.InitializeVersionHistoryFunction`.

### CREATE_VERSION_NODE

    public static final Function CREATE_VERSION_NODE

  An shared instance of the immutable `SystemFunctions.CreateVersionNodeFunction`.

Constructor Detail

### SystemFunctions

    public SystemFunctions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.